# kate Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KateExportAction Class Reference

Export to ... More...

`#include <katedocumenthelpers.h>`

Collaboration diagram for KateExportAction:

[legend]
List of all members.

## Public Member Functions

| KateExportAction (const QString &text, QObject *parent=0, const char *name=0)
void | updateMenu (Kate::Document *doc)

## Detailed Description

Export to ...

Submenu

Definition at line 73 of file katedocumenthelpers.h.

## Constructor & Destructor Documentation

KateExportAction::KateExportAction | ( | const QString & | text,
|  | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |

Constructor.

Parameters:

  | text | name
  | parent | parent object
  | name | object name

Definition at line 53 of file katedocumenthelpers.cpp.

References KAction::activated(), QObject::connect(), QPopupMenu::insertItem(), and KActionMenu::popupMenu().

## Member Function Documentation

void KateExportAction::updateMenu | ( | Kate::Document * | doc | ) |

update the menu for the given doc

Parameters:

  | doc | document

Definition at line 63 of file katedocumenthelpers.cpp.

The documentation for this class was generated from the following files:

- katedocumenthelpers.h
- katedocumenthelpers.cpp

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:36:48 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003